#! /bin/sh


# The following two are the ANSI sequences for start and end embolden
case $TERM in
vt*|ansi*|con*|xterm*|linux*|screen*)
  S=[1m
  E=[m
  ;;
*)
  S=
  E=
  ;;
esac

PW_DIR=`pwd`

if test x$1 = x1; then
    exec ./testcompile.sh
fi
if test x$1 = x2; then
    exec ./testhash.sh
fi
if test x$1 = x3; then
    exec ./testrun_1.sh
fi
if test x$1 = x4; then
    exec ./testrun_1a.sh
fi
if test x$1 = x5; then
    exec ./testrun_2.sh $2
fi
if test x$1 = xall; then
    ./testcompile.sh
    ./testhash.sh
    ./testrun_1.sh
    ./testrun_1a.sh
    ./testrun_2.sh $2
fi

echo "Usage:"
echo
echo "  ${S}test.sh 1${E}           -- Test compilation with many different options"
echo "  ${S}test.sh 2${E}           -- Test hash function"
echo "  ${S}test.sh 3${E}           -- Test standalone init/check (uses testrc_1)"
echo "  ${S}test.sh 4${E}           -- Test (micro)stealth init/check (testrc_1)"
echo "  ${S}test.sh 5 localhost${E} -- Test c/s init/check (uses testrc_2)"
echo "  ${S}test.sh a localhost${E} -- All tests"


